[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCompositeCellEditor.AddEditor

Adds the specified control to the composite cell editor using the given alignment and active state.

## Declaration

Source position: grids.pas line 335

`public procedure TCompositeCellEditor.AddEditor(`
`aEditor: TWinControl;`
`aAlign: TAlign;`
`ActiveCtrl: Boolean`
`);`

## Arguments

`aEditor` |  | Editor control added to the composite cell editor.
`aAlign` |  | Alignment for the control relative to other editors.
`ActiveCtrl` |  | True if AEditor is the active control for the composite cell editor.

## Description

AddEditor increases the capacity for the internal array of TEditorItem instances used in the control. It stores the parameter values to the Editor, Align, and ActiveControl members in the new TEditorItem instance.

## See also

TEditorItem |  | Represents one of the editors used in a TCompositeCellEditor instance.